{% extends "base_dashboard.html" %}
{% load i18n %}
{% block title %}{% trans "Proposalku" %} :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
    <li><a class="spf-link" href="{% url 'user_dashboard' %}">{% trans "Dashboard" %}</a></li>
    <li><span>{% trans "Akun Bank" %}</span></li>
  </ul>
{% endblock %}

{% block content %}
  <form class="form-bank" method="post" action="{% url 'app_user:user_banks_list' %}">
    <input type="hidden" name="pk">{% csrf_token %}

    {% if form.non_field_errors %}
      {% if form.non_field_errors|length > 1 %}
        <ol class="uk-padding uk-margin-remove uk-text-left">
          {% for error in form.non_field_errors %}
            <li class="uk-text-warning">{{ error }}</li>
          {% endfor %}
        </ol>
      {% else %}
        <div class="uk-padding uk-text-center uk-text-warning">
          {{ form.non_field_errors|first }}
        </div>
      {% endif %}
    {% endif %}

    <table class="uk-table uk-table-middle uk-table-striped uk-table-responsive">
      <thead>
        <tr>
          <th>{% trans "Nama Bank" %}</th>
          <th>{% trans "Nama Pemilik" %}</th>
          <th>{% trans "Nomor Rekening" %}</th>
          <th>{% trans "Tindakan" %}</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>
            <div class="uk-margin">
              <div class="uk-form-controls">
                {{ form.bank_name }}
                {% if form.bank_name.errors %}
                  {% if form.bank_name.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.bank_name.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.bank_name.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>
          </td>
          <td>
            <div class="uk-margin">
              <div class="uk-form-controls">
                {{ form.owner_name }}
                {% if form.owner_name.errors %}
                  {% if form.owner_name.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.owner_name.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.owner_name.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>
          </td>
          <td>
            <div class="uk-margin">
              <div class="uk-form-controls">
                {{ form.account_number }}
                {% if form.account_number.errors %}
                  {% if form.account_number.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.account_number.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.account_number.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>
          </td>
          <td>
            <div class="uk-margin">
              <div class="uk-form-controls">
                <div class="uk-button-group">
                  <div class="uk-button uk-button-warning button-clear-bank" uk-tooltip="title: {% trans 'Bersihkan' %}">
                    <span uk-icon="icon: refresh"></span>
                  </div>
                  <button type="submit" class="uk-button uk-button-primary">
                    <span uk-icon="icon: check"></span> {% trans "Simpan" %}
                  </button>
                </div>
              </div>
            </div>
          </td>
        </tr>

        {% for bank in banks %}
          <tr>
            <td>{{ bank.bank_name }}</td>
            <td>{{ bank.owner_name }}</td>
            <td>{{ bank.account_number }}</td>
            <td>
              <a data-pk="{{ bank.pk }}" uk-tooltip="title: {% trans 'Hapus' %}; pos: bottom"
                class="uk-icon-link button-delete-bank" uk-icon="trash" uk-toggle="target: #modal-delete-bank-{{ bank.pk }}"></a>
              <a data-pk="{{ bank.pk }}" data-bank-name="{{ bank.bank_name }}"
                data-owner-name="{{ bank.owner_name }}" data-account-number="{{ bank.account_number }}"
                uk-tooltip="title: {% trans 'Ubah' %}; pos: bottom"
                class="uk-icon-link button-edit-bank" uk-icon="file-edit"></a>

              <div id="modal-delete-bank-{{ bank.pk }}" uk-modal>
                <div class="uk-modal-dialog uk-modal-body">
                  <button class="uk-modal-close-default" type="button" uk-close></button>
                  <h2 class="uk-modal-title">{% trans "Konfirmasi" %}</h2>
                  <p>{% blocktrans with bank=bank.bank_name %}Apakah anda yakin akan menghapus Bank "{{ bank }}" ini?{% endblocktrans %}</p>
                  <div class="uk-text-right">
                    <div class="uk-button uk-button-default uk-modal-close">
                      <span uk-icon="close"></span> {% trans "Tidak" %}
                    </div>
                    <a class="uk-button uk-button-danger" href="{% url 'app_user:user_banks_delete' pk=bank.pk %}">
                      <span uk-icon="trash"></span> {% trans "Ya" %}
                    </a>
                  </div>
                </div>
              </div>
            </td>
          </tr>
        {% empty %}
          <tr>
            <td colspan="5">
              <i uk-icon="info"></i> &nbsp; {% trans "Anda belum memiliki bank apapun!" %}
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </form>
{% endblock %}

{% block js %}
  <script>
    var form = $('.form-bank');

    // edit bank mode
    $('.button-edit-bank').click(function(){
      var bank = $(this);
      form.find('input[name=pk]').val(bank.data('pk'));
      form.find('input[name=bank_name]').val(bank.data('bank-name'));
      form.find('input[name=owner_name]').val(bank.data('owner-name'));
      form.find('input[name=account_number]').val(bank.data('account-number'));
    });

    // clear form
    $('.button-clear-bank').click(function(){
      form.find('input[name=pk]').removeAttr('value');
      form[0].reset();
    });
  </script>
{% endblock %}
